﻿@using Microsoft.AspNetCore.Mvc.Razor
@inject Microsoft.ApplicationInsights.AspNetCore.JavaScriptSnippet JavaScriptSnippet
@{ 
    var username = ViewData["username"];
    var roleid = Convert.ToInt32(ViewData["roleid"]);

    var b1 = RazorViewEngine.GetNormalizedRouteValue(ViewContext, "controller");
    var b2 = RazorViewEngine.GetNormalizedRouteValue(ViewContext, "action");
}
<!--
 * CoreUI - Open Source Bootstrap Admin Template
 * @@version v1.0.0-alpha.4
 * @@link http://coreui.io
 * Copyright (c) 2017 creativeLabs Łukasz Holeczek
 * @@license MIT
 -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="img/favicon.png">
    <title>@ViewData["Title"] - RestoWeb</title>
    
    <link href="~/css/site.min.css" asp-append-version="true" rel="stylesheet">
    @RenderSection("Styles", required: false)

    @Html.Raw(JavaScriptSnippet.FullScript)
</head>

<body class="app header-fixed sidebar-fixed aside-menu-fixed aside-menu-hidden @(roleid == 3 || roleid == 4 ? "sidebar-hidden" : "")">
    <header class="app-header navbar">
        <button class="navbar-toggler mobile-sidebar-toggler d-lg-none" type="button">☰</button>
        <a class="navbar-brand" href="#"></a>
        <ul class="nav navbar-nav d-md-down-none">
            <li class="nav-item">
                <a class="nav-link navbar-toggler sidebar-toggler" href="#">☰</a>
            </li>
        </ul>
    </header>
    <div class="big-loading">
        <img src="~/images/loading.gif" />
    </div>
    <div class="app-body">
        <div class="sidebar">
            <nav class="sidebar-nav">
                <ul class="nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/"><i class="icon-speedometer"></i> Dashboard</a>
                        @if (roleid == 1)
                        {
                            <a class="nav-link @(b1 == "User" ? "active" : "")" href="~/User"><i class="icon-user"></i> Master User</a>
                            <a class="nav-link @(b1 == "Table" ? "active" : "")" href="~/Table"><i class="icon-people"></i> Master Table</a>
                            <a class="nav-link @(b1 == "Menu" ? "active" : "")" href="~/Menu"><i class="icon-book-open"></i> Master Menu</a>
                        }
                        @if (roleid == 1 || roleid == 4)
                        {
                            <a class="nav-link @(b1 == "Cook" ? "active" : "")" href="~/Cook"><i class="icon-mustache"></i> Cook</a>
                        }
                        @if (roleid == 1 || roleid == 3)
                        {
                            <a class="nav-link @(b1 == "Cashier" ? "active" : "")" href="~/Cashier"><i class="icon-calculator"></i> Cashier</a>
                        }
                        <a class="nav-link" href="/Auth/Logout"><i class="icon-logout"></i> Logout</a>
                    </li>
                </ul>
            </nav>
        </div>
        <!-- Main content -->
        <main class="main">

            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="~/">Home</a>
                </li>
                @if (b1 != "Home" && b2 != "Index")
                {
                    <li class="breadcrumb-item">
                        <a href="~/@b1">@b1</a>
                    </li>
                }
                else if (b1 == "Home")
                {
                    <li class="breadcrumb-item active">Dashboard</li>
                }
                else
                {
                    <li class="breadcrumb-item active">@b1</li>
                }
                @if (b2 != "Index")
                {
                    <li class="breadcrumb-item active">@b2</li>
                }
                
            </ol>

            <div class="container-fluid">

                @RenderBody()

            </div>
            <!-- /.conainer-fluid -->
        </main>
        <aside class="aside-menu">
            @RenderSection("Aside", required:false)
        </aside>

    </div>
    <footer class="app-footer">
        <a href="http://restanza.nabihubadah.com">Restanza</a> © 2017.
        <span class="float-right">
            Your Integrated Restaurant Application
        </span>
    </footer>

    <!-- GenesisUI main scripts -->
    <script src="~/js/site.min.js" asp-append-version="true"></script>

    @RenderSection("Scripts", required: false)
</body>
</html>